blfwk::DataPacket::SegmentDataProducer Class Reference

Provide DataSource::Segment data for data phase. More...

`#include <Command.h>`

Inheritance diagram for blfwk::DataPacket::SegmentDataProducer:
[legend]
Collaboration diagram for blfwk::DataPacket::SegmentDataProducer:
[legend]

## Public Member Functions

| SegmentDataProducer (blfwk::DataSource::Segment *segment)
| Default constructor.
virtual | ~SegmentDataProducer ()
| Destructor.
bool | init (std::string filePath)
| Initialize with a file path.
DataProducer
virtual bool | hasMoreData () const
| Query if more data is available.
virtual uint32_t | getDataSize () const
| Query the total size of the data.
virtual uint32_t | getData (uint8_t *data, uint32_t size)
| Get the next data chunk. More...

## Protected Attributes

blfwk::DataSource::Segment * | m_segment
| DataSource::Segment object.
uint32_t | m_byteIndex
| Current byte index.

## Detailed Description

Provide DataSource::Segment data for data phase.

## Member Function Documentation

uint32_t blfwk::DataPacket::SegmentDataProducer::getData | ( | uint8_t * | data,
|  | uint32_t | size
| ) |  |

virtual

Get the next data chunk.

See host_command.h for documentation on this function.

Before calling getData(), call moreData() to determine if data is available.

Implements blfwk::DataPacket::DataProducer.

The documentation for this class was generated from the following files:

- Command.h
- Command.cpp